# Class EventActionArgs

java.lang.Object
org.daypilot.ui.args.common.DayPilotArgs
org.daypilot.ui.args.scheduler.EventActionArgs

Direct Known Subclasses:
  `EventBubbleArgs`, `EventClickArgs`, `EventDeleteArgs`, `EventDoubleClickArgs`, `EventEditArgs`, `EventMenuClickArgs`, `EventMoveArgs`, `EventResizeArgs`, `EventRightClickArgs`

public class EventActionArgs extends DayPilotArgs

- ## Field Summary

  ### Fields inherited from class org.daypilot.ui.args.common.DayPilotArgs

  `data`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EventActionArgs()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DateTime`
  `getEnd()`
  `String`
  `getId()`
  `String`
  `getJoin()`
  `String`
  `getRecurrentMasterId()`
  `String`
  `getResource()`
  `DateTime`
  `getStart()`
  `TagCollection`
  `getTags()`
  `String`
  `getText()`
  `String`
  `getValue()`
  Deprecated.
  `boolean`
  `isRecurrent()`
  `boolean`
  `isRecurrentException()`
  `void`
  `loadEvent(JSONObject event)`
  `void`
  `setJoin(String join)`

  ### Methods inherited from class org.daypilot.ui.args.common.DayPilotArgs

  `getData, setData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventActionArgs

    protected EventActionArgs()

- ## Method Details

  - ### loadEvent

    public void loadEvent(JSONObject event)

  - ### getValue

    @Deprecated public String getValue()
    Deprecated.

  - ### getId

    public String getId()

  - ### getText

    public String getText()

  - ### getStart

    public DateTime getStart()

  - ### getEnd

    public DateTime getEnd()

  - ### getResource

    public String getResource()

  - ### getTags

    public TagCollection getTags()

  - ### isRecurrent

    public boolean isRecurrent()

  - ### getRecurrentMasterId

    public String getRecurrentMasterId()

  - ### getJoin

    public String getJoin()

  - ### setJoin

    public void setJoin(String join)

  - ### isRecurrentException

    public boolean isRecurrentException()